View Single Post
  #7  
Old 03.04.2019, 18:10
Statter Statter is offline
JD VIP
 
Join Date: Aug 2010
Posts: 446
Default

Yes I know it can be difficult especially now with Apple making it difficult to install the older XCode SDK's into the dev kit. Especially on newer macs that won't install the old dev tools.
Using some special commands and tools one should be able to build for some earlier OSes still and of course not for 32bit which has been finally depreciated completely with XCode
The Deprecation Notices need to of course be reviewed properly of course as well as when targeting iOS. C++ projects must now migrate to libc++ and are recommended to set a deployment target of macOS 10.9 or later, or iOS 7 or later. with XCode 10.x

No its not always easy but I know some apps are still built to work on 10.6+ although I am sure that will soon change for those few apps left also unfortunately. Thankfully for now at least JD2 still works on 10.6.8 yes it is not a typical app and uses Java so to speak which is done extremely well. So Kudos to the JD team and developers.

Good luck julien1530
__________________
OS X !0.6.8 Mac Pro Intel (Workhorse)
OS X 10.10.5 MBP Intel (Secondary)
Reply With Quote